Name:		bash-shellshock-workaround
Version:	1
Release:	1%{?dist}
Summary:	Workaround as indicated at https://access.redhat.com/articles/1200223

License:	GPLv3
URL:		https://access.redhat.com/articles/1200223
Source0:	https://access.redhat.com/sites/default/files/attachments/bash_ld_preload.c
Source1:    ld.so.preload


%description
Workaround as on https://access.redhat.com/sites/default/files/attachments/bash_ld_preload.c


%prep
cp %{SOURCE0} %{_builddir}

%build
gcc bash_ld_preload.c -fPIC -shared -Wl,-soname,bash_ld_preload.so.1 -o bash_ld_preload.so


%install
# Using explicit /lib rather than %{_libdir} because that's the official suggestion
mkdir -p %{buildroot}/lib
mkdir -p %{buildroot}/etc
cp bash_ld_preload.so %{buildroot}/lib/bash_ld_preload.so
cp %{SOURCE1} %{buildroot}/etc/ld.so.preload


%files
/lib/bash_ld_preload.so
/etc/ld.so.preload


%changelog
